Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token> where <token> is the user's Rownd JWT

Path Parameters

group
string
required

Group ID

member
string
required

Group Member ID

Response

200 - application/json

Group member retrieved successfully

user_id
string
required

The ID of a user to add as a group member. The user must belong to the Rownd application.

Example:

"user_fbylaq38591cghym5pabupj2"

roles
string[]
required

The roles that the member belongs. (The first member added or invited to a group will always be created with the 'owner' role along with any additional roles specified)

Example:
id
string
read-only

The group member ID

Example:

"member_dnn5g4e3q6aptail2gr43kpj"

state
enum<string>

The state of the group member. A member that has been invited will not go into the active state until they accept the invitation.

Available options:
active,
invite_pending,
invite_rejected
invited_by
string
read-only

The authenticated party that invited the user to the group

added_by
string
read-only

The authenticated party that added the user to the gruop

profile
object
read-only

User profile data

Example:
group_id
string
read-only

The group ID

Example:

"group_ig42thhwf4cig25o7t9jtlyu"